# Set cart lock in the InLine Cart

## Overview

Use the Cart object to lock products by calling the `TwoCoInlineCart.cart.setCartLockedFlag(true)` method.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the`TwoCoInlineCart.products.add({code, quantity, options})`method to prepare your catalog product.
4. In order to set currency use TwoCoInlineCart.cart.setCurrency(currency-code).
5. To lock products use `TwoCoInlineCart.cart.setCartLockedFlag(true)`method.
6. You can see below a signature token request payload for this example. A success response contains a JSON with the property “signature“ which needs to be used at the next step to set the signature using the TwoCoInlineCart method.<br>

   ```json
   {
       "merchant": "AVLRNG",
       "currency": "USD",
       "lock": 1,
       "products": [
           {
               "code": "74B8E17CC0",
               "quantity": 3
           }
       ]
   }
   ```

   \
   The above payload will generate the signature ba6ad53ac1cb699daad64bb1d3ef6ab72050787f62a3137d5090c96173a05e85.
7. Use the TwoCoInlineCart.cart.setSignature('ba6ad53ac1cb699daad64bb1d3ef6ab72050787f62a3137d5090c96173a05e85') method to set the signature.
8. Use the `TwoCoInlineCart.cart.checkout()`method to show the cart on your page.

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.cart.setCurrency('USD');
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0",
    quantity: 3
  });
  TwoCoInlineCart.cart.setSignature('ba6ad53ac1cb699daad64bb1d3ef6ab72050787f62a3137d5090c96173a05e85');
  TwoCoInlineCart.cart.setCartLockedFlag(true);
  TwoCoInlineCart.cart.checkout();
});
```

## Demo

After locking the product page using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/jjPvQJ>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/set-cart-lock-in-the-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
